Package io.dapr.v1

# Class AppCallbackGrpc.AppCallbackImplBase

java.lang.Object
io.dapr.v1.AppCallbackGrpc.AppCallbackImplBase

All Implemented Interfaces:
  `io.grpc.BindableService`

Enclosing class:
  AppCallbackGrpc

    public abstract static class AppCallbackGrpc.AppCallbackImplBase
    extends java.lang.Object
    implements io.grpc.BindableService

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AppCallbackImplBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `io.grpc.ServerServiceDefinition` | `bindService()` |
  `void` | `listInputBindings​(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)` | Lists all input bindings subscribed by this app.
  `void` | `listTopicSubscriptions​(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)` | Lists all topics subscribed by this app.
  `void` | `onBindingEvent​(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)` | Listens events from the input bindings User application can save the states or send the events to the output bindings optionally by returning BindingEventResponse.
  `void` | `onInvoke​(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)` | Invokes service method with InvokeRequest.
  `void` | `onTopicEvent​(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)` | Subscribes events from Pubsub

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AppCallbackImplBase

    public AppCallbackImplBase()

- ## Method Details

  - ### onInvoke

    public void onInvoke​(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

         Invokes service method with InvokeRequest.

  - ### listTopicSubscriptions

    public void listTopicSubscriptions​(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)

         Lists all topics subscribed by this app.

  - ### onTopicEvent

    public void onTopicEvent​(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)

         Subscribes events from Pubsub

  - ### listInputBindings

    public void listInputBindings​(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)

         Lists all input bindings subscribed by this app.

  - ### onBindingEvent

    public void onBindingEvent​(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)

         Listens events from the input bindings
         User application can save the states or send the events to the output
         bindings optionally by returning BindingEventResponse.

  - ### bindService

    public final io.grpc.ServerServiceDefinition bindService()
    Specified by:
      `bindService` in interface `io.grpc.BindableService`